Bug 830984 - Touchpad cursor movement does not show fullscreen controls
Touchpad cursor movement does not show fullscreen controls
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: totem (Show other bugs)
17
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 16:14 EDT by Julian Aloofi
Modified: 2013-07-31 16:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:43:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julian Aloofi 2012-06-11 16:14:43 EDT
Description of problem:
When playing a file in Totem and switching to fullscreen mode, normally when moving the mouse cursor, the controls show up (leave fullscreen, volume control, play/pause etc). This is not the case when moving the mouse cursor with my integrated laptop touchpad, but works when moving it with an external USB mouse.
Although not visible, the cursor actually moves when using the touchpad though, as can be seen when right-clicking, moving the cursor a bit, and right-clicking again, as the right-click menu will appear at another position.
This problem did not exist in the Fedora 16 version of Totem.


Version-Release number of selected component (if applicable):
totem-3.4.2-1.fc17.x86_64
xorg-x11-drv-synaptics-1.6.1-1.fc17.x86_64


How reproducible:
Open a file with Totem (video or music, doesn't matter) and move the cursor around with the touchpad in fullscreen mode. See nothing happening.


Steps to Reproduce:
1. Open a file with Totem
2. Press F11 or double-click the playback area to go into fullscreen mode
3. Move the cursor with an external USB mouse and see the control overlay showing up
4. Move the cursor with the touchpad, and see nothing happening


Additional info:
My touchpad is listed in /proc/bus/input/devices as
I: Bus=0011 Vendor=0002 Product=0007 Version=01b1
N: Name="SynPS/2 Synaptics TouchPad"
Comment 1 Brandon 2012-11-11 12:18:18 EST
This is an upstream issue with totem: https://bugzilla.gnome.org/show_bug.cgi?id=680713

Totem 3.6 seems to fix it with some touchpads, but I reproduce it with one of my laptops still with totem 3.6
Comment 2 Fedora End Of Life 2013-07-03 16:34:58 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 16:43:05 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.